using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace ms_useCaseService.Database.Models;

[Table("rules2rules_metadata_types_values")]
[Keyless]
public class Rules2RulesMetadataTypesValues
{
    [ForeignKey("id_rule")]
    [Column("id_rule", Order = 1)]
    public Rule Rule { get; set; }
    
    [ForeignKey("id_rules_metadata_type")]
    [Column("id_rules_metadata_type", Order = 2)]
    public RulesMetadataType RulesMetadataType { get; set; }
}